<?php
/**
 * $Horde: swoosh/expand.php,v 1.3 2005/01/03 14:35:32 jan Exp $
 *
 * Copyright 2003-2005 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

$no_compress = true;
$authentication = 'horde';

define('SWOOSH_BASE', dirname(__FILE__));
require_once SWOOSH_BASE . '/lib/base.php';

$to  = Util::getFormData('to');

if (!empty($to)) {
    $expand = Swoosh::expandNumbers($to);

    if (isset($expand['ambiguous']) || isset($expand['unmatched'])) {
        $error = _("More than one address found for fields.");
    } elseif (!empty($expand['matched'])) {
        $expanded = implode("\r\n", $expand['matched']);
    }
}

require SWOOSH_TEMPLATES . '/send/expand.inc';
