-- $Horde: swoosh/scripts/sql/swoosh.sql,v 1.2 2004/09/21 03:34:04 chuck Exp $

CREATE TABLE swoosh_gateways (
    gateway_id            INT NOT NULL default '0',
    gateway_driver        VARCHAR(255) NOT NULL default '',
    gateway_name          VARCHAR(255) NOT NULL default '',
    gateway_params        TEXT,
    gateway_sendparams    TEXT,
--
    PRIMARY KEY (gateway_id)
);

CREATE TABLE swoosh_messages (
    message_id            INT NOT NULL default '0',
    user_uid              VARCHAR(255) NOT NULL,
    gateway_id            INT NOT NULL default '0',
    message_batch_id      VARCHAR(255) default NULL,
    message_text          TEXT NOT NULL,
    message_params        TEXT NULL,
    message_submitted     INT NOT NULL default '0',
--
    PRIMARY KEY (message_id)
);

CREATE TABLE swoosh_sends (
    send_id               INT NOT NULL default '0',
    message_id            INT NOT NULL default '0',
    send_remote_id        VARCHAR(255) default NULL,
    send_recipient        VARCHAR(255) NOT NULL default '',
    send_status           VARCHAR(255) default NULL,
--
    PRIMARY KEY (send_id)
);

GRANT SELECT, INSERT, UPDATE, DELETE ON swoosh_gateways TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON swoosh_messages TO horde;
GRANT SELECT, INSERT, UPDATE, DELETE ON swoosh_sends TO horde;
